# Function applyPreApplyBattlerTagAbAttrs

- applyPreApplyBattlerTagAbAttrs(attrType, pokemon, tag, cancelled, ...args): Promise<void>

- #### Parameters

  - attrType: (new (...args) => PreApplyBattlerTagAbAttr )
    - - new (...args): PreApplyBattlerTagAbAttr

      - #### Parameters

        - `Rest` ...args: any[]

        #### Returns PreApplyBattlerTagAbAttr

  - pokemon: default
  - tag: BattlerTag
  - cancelled: BooleanHolder
  - `Rest` ...args: any[]

  #### Returns Promise<void>

  - Defined in src/data/ability.ts:3618